## ros-galactic-rosbridge-suite 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbridge_suite NONE)
find_package(ament_cmake_core REQUIRED)
ament_package()

=== debian/changelog ===
ros-galactic-rosbridge-suite (1.3.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 05:00:00 -0000

ros-galactic-rosbridge-suite (1.3.0-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 05:00:00 -0000

ros-galactic-rosbridge-suite (1.2.0-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 05:00:00 -0000

ros-galactic-rosbridge-suite (1.1.2-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 06:00:00 -0000

ros-galactic-rosbridge-suite (1.1.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 06:00:00 -0000

ros-galactic-rosbridge-suite (1.1.0-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.8-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.7-1focal) focal; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 18 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.6-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.5-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 12 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.4-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 11 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.3-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 03 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.2-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Sep 2019 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.1-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Sep 2019 05:00:00 -0000

ros-galactic-rosbridge-suite (1.0.0-1focal) focal; urgency=high

  * Port to ROS 2

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Sep 2019 05:00:00 -0000

ros-galactic-rosbridge-suite (0.11.3-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 05:00:00 -0000

ros-galactic-rosbridge-suite (0.11.2-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 05:00:00 -0000

ros-galactic-rosbridge-suite (0.11.1-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 05:00:00 -0000

ros-galactic-rosbridge-suite (0.11.0-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 06:00:00 -0000

ros-galactic-rosbridge-suite (0.10.2-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 06:00:00 -0000

ros-galactic-rosbridge-suite (0.10.1-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 06:00:00 -0000

ros-galactic-rosbridge-suite (0.10.0-1focal) focal; urgency=high

  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Dirk Thomas

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 06:00:00 -0000

ros-galactic-rosbridge-suite (0.9.0-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 09 Apr 2018 05:00:00 -0000

ros-galactic-rosbridge-suite (0.8.6-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 Dec 2017 06:00:00 -0000

ros-galactic-rosbridge-suite (0.8.5-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Nov 2017 06:00:00 -0000

ros-galactic-rosbridge-suite (0.8.4-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Oct 2017 05:00:00 -0000

ros-galactic-rosbridge-suite (0.8.3-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 05:00:00 -0000

ros-galactic-rosbridge-suite (0.8.2-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 05:00:00 -0000

ros-galactic-rosbridge-suite (0.8.1-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 05:00:00 -0000

ros-galactic-rosbridge-suite (0.8.0-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 05:00:00 -0000

ros-galactic-rosbridge-suite (0.7.17-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Jan 2017 06:00:00 -0000

ros-galactic-rosbridge-suite (0.7.16-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Aug 2016 05:00:00 -0000

ros-galactic-rosbridge-suite (0.7.15-1focal) focal; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 25 Apr 2016 05:00:00 -0000

ros-galactic-rosbridge-suite (0.7.14-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 11 Feb 2016 06:00:00 -0000

ros-galactic-rosbridge-suite (0.7.13-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Aug 2015 05:00:00 -0000

ros-galactic-rosbridge-suite (0.7.12-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 07 Apr 2015 05:00:00 -0000

ros-galactic-rosbridge-suite (0.7.11-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Mar 2015 06:00:00 -0000

ros-galactic-rosbridge-suite (0.7.10-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Feb 2015 06:00:00 -0000

ros-galactic-rosbridge-suite (0.7.9-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 06:00:00 -0000

ros-galactic-rosbridge-suite (0.7.8-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 06:00:00 -0000

ros-galactic-rosbridge-suite (0.7.7-1focal) focal; urgency=high





=== debian/control ===
Source: ros-galactic-rosbridge-suite
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-core, ros-galactic-ros-workspace
Homepage: http://ros.org/wiki/rosbridge_suite
Standards-Version: 3.9.2

Package: ros-galactic-rosbridge-suite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rosapi, ros-galactic-rosbridge-library, ros-galactic-rosbridge-server, ros-galactic-ros-workspace
Description: Rosbridge provides a JSON API to ROS functionality for non-ROS programs.
 There are a variety of front ends that interface with rosbridge, including a WebSocket server for web browsers to interact with. Rosbridge_suite is a meta-package containing rosbridge, various front end packages for rosbridge like a WebSocket package, and helper packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosbridge-suite//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
